Skip to main content
GET
/
guardrails
List guardrails
curl --request GET \
  --url https://api.portkey.ai/v1/guardrails \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/guardrails"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/guardrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total": 1
}
{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

workspace_id
string<uuid>

Workspace UUID to filter guardrails

organisation_id
string<uuid>

Organisation UUID to filter guardrails

page_size
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
current_page
integer
default:0

Current page number (0-indexed)

Required range: x >= 0

Response

List of guardrails retrieved successfully

data
object[]
required

Array of guardrail summaries

total
integer
required

Total number of guardrails available

Required range: x >= 0
Last modified on May 13, 2026